<?php

namespace Drupal\book_access\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Interface for BookAccessDefaults Config entity.
 */
interface BookAccessDefaultsInterface extends ConfigEntityInterface {

  /**
   * Returns the type of grant default set.
   *
   * @return string
   *   Grant Type
   */
  public function getGrantType();

  /**
   * Returns the role id for the grant default set.
   *
   * @return string
   *   Role ID
   */
  public function getRoleId();

  /**
   * Returns the list of grant defaults.
   *
   * @return array
   *   List of grants
   */
  public function getGrants();

}
